package com.ruoyi.ibs.draw.domain.dto.draw;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class LayerGridDTO {
    @ApiModelProperty(name = "layerId", value = "图层id")
    @NotNull(message = "图层id不能为空")
    private Long layerId;

    @ApiModelProperty(name = "opsDept", value = "业务部室")
    @NotNull(message = "业务部室不能为空")
    private String opsDept;

    private Long deptId;

    public Long getLayerId() {
        return layerId;
    }

    public void setLayerId(Long layerId) {
        this.layerId = layerId;
    }

    public String getOpsDept() {
        return opsDept;
    }

    public void setOpsDept(String opsDept) {
        this.opsDept = opsDept;
    }
}
